// ignore_for_file: use_build_context_synchronously

import 'dart:convert';

import 'package:dio/dio.dart';
import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import '../globals.dart';

Future<void> signup(BuildContext context, String email, String password, String name, /*Map data*/) async {
    final dio = Dio();
    Response response;

    AlertDialog alert2 = AlertDialog(
      title: Text("SignUp Gagal"),
      content: Text("Data Invalid"),
      actions: [
        TextButton( 
          child: Text('Ok'),
          onPressed: () => Navigator.of(context).pop(),
        ),
      ],
    );
        var auth = 'Basic ${base64Encode(utf8.encode('$USER_LOGIN:$PASS_LOGIN'))}';
        Map<String, String> headers = {
          'content-type': 'application/json',
          'accept': 'application/json',
          'authorization': auth
      };
    try{
      response = await dio.post("http://localhost:8080/api/v1/users", 
                  options: Options(headers: headers),
                  data: 
                  // data 
                  {'username':email,'password':password,'name':name}
                  );    
      if (response.statusCode == 201){
          return context.go('/signup/listuser');
      } 
    } catch (error){     
      
      showDialog(context: context, builder: (context) => alert2);
      }
          
  }

